Get All Signatures
curl --request GET \
--url https://staging.crossmint.com/api/2022-06-09/wallets/{walletLocator}/signatures \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://staging.crossmint.com/api/2022-06-09/wallets/{walletLocator}/signatures"
headers = {"X-API-KEY": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<x-api-key>'}};
fetch('https://staging.crossmint.com/api/2022-06-09/wallets/{walletLocator}/signatures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"signatures": [
{
"id": "tx-b984491a-5785-43c0-8811-45d46fe6e520",
"walletType": "evm-smart-wallet",
"type": "evm-message",
"status": "awaiting-approval",
"params": {
"message": "Hello, world!",
"signer": "evm-keypair:0xB17Ea8d34078424B9d7D126E444d5F2C3CC5c81E",
"chain": "polygon"
},
"approvals": {
"pending": [
{
"signer": "evm-keypair:0xB17Ea8d34078424B9d7D126E444d5F2C3CC5c81E",
"message": "Hello world!"
}
],
"submitted": []
},
"createdAt": "2024-01-01T00:00:00Z"
}
]
}{
"error": true,
"message": "<error message>"
}Wallets
Get All Signatures
Retrieves all signatures associated with the specified wallet.
API scope required: wallets:signatures.read
GET
/
2022-06-09
/
wallets
/
{walletLocator}
/
signatures
Get All Signatures
Headers
API key required for authentication
Path Parameters
A wallet locator can be of the format:
<walletAddress>email:<email>:<walletType>userId:<userId>:<walletType>userId:<userId>:<walletType>(white label user example)phoneNumber:<phoneNumber>:<walletType>twitter:<handle>:<walletType>x:<handle>:<walletType>
Response
The signatures have been successfully retrieved.
List of signatures with their status, signing requirements, and wallet type specific data
Show child attributes
Show child attributes
Was this page helpful?

